Subject: bug#45799: 28.0.50; Faces shrink unreadable on GUI when foreground/background color set in TUI

From: Mauro Aranda <[email-masked]>
Date: Wed, 13 Jan 2021 10:05:53 -0300

Jean Louis <[email-masked]> writes:

> Here is full description of all information that I think that applies
> there.
>
> In my init.el I have this customization related to faces.
>
> (custom-set-faces
>  ;; custom-set-faces was added by Custom.
>  ;; If you edit it by hand, you could mess it up, so be careful.
>  ;; Your init file should contain only one such instance.
>  ;; If there is more than one, they won't work right.
>  '(default ((t (:inherit nil :extend nil :stipple nil :background "white" :foreground "black" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 140 :width normal :foundry "GOOG" :family "Noto Sans Mono"))))
>  '(term ((t (:background "black" :foreground "white smoke" :height 1.2 :family "xos4 Terminus")))))
>

[...]

> With the above settings then if I would do just:
>
> M-x customize-themes
>
> and choose any theme, the foreground and background color would not
> change.
>
> It does not matter if I try changing themese from TUI or GUI.
>
> Example is adwaita and deeper-blue, if I click there, foreground and
> background do not change. So to make them change, I do: M-x
> customize-faces and choose `default' and then I unset foreground and
> background colors and click 0 to have it remembered for a session.
>
> As soon as I unset it, if I was in deeper-blue theme, then I get the
> deeper-blue background.

I don't see a bug here.  You have customized the default face in your
init file, so that setting gets saved in a theme, the user theme, which
takes precedence before all other themes you activate.  This is
described in several places, like in the *Custom Themes* buffer itself:

 Note: Your custom settings take precedence over theme settings.
       To migrate your settings into a theme, click here.

When you activate other themes, they do get activated, but your setting
for the default face takes precedence, so it will not change, and that's
why you have to unset your own customization of the default face, for
the theme settings to kick in.